# Created by pyp2rpm-3.3.2
%global pypi_name texext

Name:           python-%{pypi_name}
Version:        0.6.7
Release:        %mkrel 2
Summary:        Sphinx extensions for working with LaTeX math
Group:          Development/Python
License:        BSD license
URL:            https://pypi.org/project/texext/
Source0:        https://github.com/matthew-brett/texext/archive/refs/tags/%{version}/%{pypi_name}-%{version}.tar.gz
Patch1:         0001-Update-versioneer-to-version-0.28.patch
Patch2:         0002-Adapt-docstring-test-to-Sphinx-7.2.x.patch
Patch3:         0003-Refactor-fix-for-Sphinx-7.2.patch
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel

%description
texext contains a couple of Sphinx extensions for working with LaTeX math.

%package -n     python3-%{pypi_name}
Summary:        Sphinx extensions for working with LaTeX math
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
texext contains a couple of Sphinx extensions for working with LaTeX math.

%prep
%autosetup -n %{pypi_name}-%{version} -p1

%generate_buildrequires
%pyproject_buildrequires -x test

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files texext

%check
#pytest -v

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst



%changelog
* Tue Mar 04 2025 daviddavid <daviddavid> 0.6.7-2.mga10
+ Revision: 2160283
- disable tests for now
+ wally <wally>
- rebuild for python3.13
- rebuild for python3.13

* Tue Dec 26 2023 wally <wally> 0.6.7-1.mga10
+ Revision: 2021965
- new version 0.6.7 from github
- rebuild for py3.12

* Wed Mar 23 2022 umeabot <umeabot> 0.6.6-5.mga9
+ Revision: 1823107
- Mageia 9 Mass Rebuild

* Sat Feb 19 2022 mrambo3501 <mrambo3501> 0.6.6-4.mga9
+ Revision: 1781241
- rebuild for python-3.10

* Tue Mar 23 2021 daviddavid <daviddavid> 0.6.6-3.mga9
+ Revision: 1708080
- rebuild for python 3.9

* Mon Apr 20 2020 shlomif <shlomif> 0.6.6-2.mga8
+ Revision: 1570158
- fix desc's readability

* Mon Apr 20 2020 shlomif <shlomif> 0.6.6-1.mga8
+ Revision: 1570068
- New version 0.6.6

* Fri Mar 20 2020 shlomif <shlomif> 0.6.5-1.mga8
+ Revision: 1558358
- New version 0.6.5

* Sun Feb 16 2020 umeabot <umeabot> 0.6.1-4.mga8
+ Revision: 1531826
- Mageia 8 Mass Rebuild

* Sun Sep 15 2019 tv <tv> 0.6.1-3.mga8
+ Revision: 1441249
- submit to core/release

* Sun Sep 15 2019 tv <tv> 0.6.1-2.mga8
+ Revision: 1441230
- rebuild for python-3.8
- drop python2 subpkg

* Mon Jan 07 2019 shlomif <shlomif> 0.6.1-1.mga7
+ Revision: 1350440
- pyp2rpm

